%define version 2.0.0
%define subrel	1
%define release %mkrel 1

%define major 0
%define name pidgin
%define libname %mklibname purple %major

%define console_app finch
%define lib_console_app %mklibname %{console_app} %major

%define build_evolution 1
%if %{mdkversion} < 1010
	%define build_evolution 0
	%define __libtoolize /bin/true
%endif

%define build_silc 0
%if %{mdkversion} >= 1020
	%define build_silc 1
%endif

%define build_meanwhile 1
%if %{mdkversion} < 200610
	%define build_meanwhile 0
%endif

%define build_mono 1
%define build_vv 0

%{?_without_evolution: %{expand: %%global build_evolution 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}

%{?_without_silc: %{expand: %%global build_silc 0}}
%{?_with_silc: %{expand: %%global build_silc 1}}

%{?_without_meanwhile: %{expand: %%global build_meanwhile 0}}
%{?_with_meanwhile: %{expand: %%global build_meanwhile 1}}

%{?_without_mono: %{expand: %%global build_mono 0}}
%{?_with_mono: %{expand: %%global build_mono 1}}

%{?_without_vv: %{expand: %%global build_vv 0}}
%{?_with_vv: %{expand: %%global build_vv 1}}

Summary: 	A GTK+ based multiprotocol instant messaging client
Name: 		pidgin
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Instant messaging
License: 	GPL
URL: 		http://www.pidgin.im/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Patch0:		pidgin-2.0.0beta7-smiley.patch
#gw these patches were copied from the Fedora package
#gw fix reading resolv.conf in NetworkManager integration
Patch111: gaim-2.0.0beta5-debian-11_reread-resolvconf.patch
BuildRequires:	automake1.9 intltool
BuildRequires:	autoconf2.5
BuildRequires:	gtk+2-devel
Buildrequires:	gtkspell-devel >= 2.0.2
Buildrequires:	sqlite3-devel
Buildrequires:	libncursesw-devel
#gw not really needed as gaim has its own libgadu included
#Buildrequires:	libgadu-devel
#gw we have networkmanager only in contribs:
#Buildrequires:	libnetworkmanager-glib-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:  libgstreamer0.10-devel
BuildRequires:	perl-devel
BuildRequires:	tk tk-devel tcl tcl-devel
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	libnss-devel
BuildRequires:	libnspr-devel
BuildRequires:	krb5-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	gettext-devel
BuildRequires:	libexpat-devel
BuildRequires:	howl-devel
BuildRequires:	avahi-glib-devel avahi-client-devel
BuildRequires:	doxygen
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
%if %build_meanwhile
BuildRequires:	meanwhile-devel >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %build_evolution
BuildRequires:	evolution-data-server-devel
%endif
%if %build_silc
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
BuildRequires:	dbus-devel >= 0.50
%if %build_mono
BuildRequires:	mono-devel
%endif
%if %build_vv
BuildRequires:  libortp-devel >= 0.8.1
BuildRequires:	speex-devel
%endif
Obsoletes:	hackgaim <= 0.60 gaim
Provides:	hackgaim <= 0.60 gaim
Requires: %libname >= %version

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary: Pidgin plugins shared by the Purple and Finch
Group: Networking/Instant messaging

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.


%package perl
Summary:	Purple extension, to use perl scripting
Group: 		Networking/Instant messaging
Obsoletes:	gaim-perl
Provides:	gaim-perl
Requires: %name = %version-%release

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group: 		Networking/Instant messaging
Obsoletes:	gaim-tcl
Provides:	gaim-tcl
Requires: %name = %version-%release

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%package 	gevolution
Summary:	Pidgin extension, for Evolution integration
Group:          Networking/Instant messaging
Obsoletes:	gaim-gevolution
Provides:	gaim-gevolution
Requires:       %{name} = %{version}-%release

%description 	gevolution
This pidgin plugin allows you to have pidgin working together with evolution.

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group: 		Networking/Instant messaging
Obsoletes:	gaim-silc
Provides:	gaim-silc
Requires: %name = %version-%release

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n	%{libname}-devel
Summary:	Development files for pidgin
Group: 		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%release
Requires:	%{lib_console_app} = %{version}-%release
Provides:	libpidgin-devel = %{version}-%release
Provides:	pidgin-devel = %{version}-%release
Obsoletes:	gaim-devel

%description -n %{libname}-devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n	%{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n	%{lib_console_app}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
Conflicts:	%mklibname gaim 0

%description -n %{lib_console_app}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n	%{console_app}
Summary:	A text-based user interface for Pidgin
Group:	Networking/Instant messaging
Requires: %name = %version-%release
Requires: %lib_console_app >= %version

%description -n	%{console_app}
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Obsoletes:	gaim-bonjour
Provides:	gaim-bonjour
Requires: %name = %version-%release

%description bonjour
Bonjour plugin for Purple

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Obsoletes:	gaim-meanwhile
Provides:	gaim-meanwhile
Requires: %name = %version-%release

%description meanwhile
Lotus Sametime Community Client plugin for purple

%package client
Summary:	Plugin and sample client to control purple clients
Group: 		Networking/Instant messaging
Requires:	dbus-python
Obsoletes:	libgaim-remote0, gaim-client
Provides:	libgaim-remote0, gaim-client
Requires: %name = %version-%release

%description client
Applications and library to control purple clients remotely.


%package mono
Summary:        Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Obsoletes:	gaim-mono
Provides:	gaim-mono
Requires: %name = %version-%release

%description mono
Purple can use plugins developed with Mono.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .smiley
cd libpurple
%patch111 -p2
cd ..

%build
# (Abel) 0.72-3mdk Somehow it won't connect to servers if gaim is
#                  linked against gnutls
%configure2_5x \
	--enable-gnutls=no \
	--with-perl-lib=vendor \
%if %build_mono
	--enable-mono \
%else
	--disable-mono \
%endif
%if ! %build_evolution
	--disable-gevolution \
%endif
%if %build_vv
	--enable-vv \
%else
	--disable-vv \
%endif
	--without-krb4
#gw parallel build doesn't work with the mono plugin
make

%install
rm -rf %{buildroot}
%makeinstall_std mkinstalldirs='mkdir -p'


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la \
      %{buildroot}%{_libdir}/*/*.a
 
%find_lang %{name}


%post
%post_install_gconf_schemas purple
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas purple

%postun
%clean_icon_cache hicolor


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{lib_console_app} -p /sbin/ldconfig
%postun -n %{lib_console_app} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog
%doc NEWS README README.MTN doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%_sysconfdir/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/%{name}
%_libdir/pidgin/cap.so
%_libdir/pidgin/convcolors.so
%_libdir/pidgin/extplacement.so
%_libdir/pidgin/gestures.so
%_libdir/pidgin/history.so
%_libdir/pidgin/iconaway.so
%_libdir/pidgin/markerline.so
%_libdir/pidgin/musicmessaging.so
%_libdir/pidgin/notify.so
%_libdir/pidgin/pidginrc.so
%_libdir/pidgin/relnot.so
%_libdir/pidgin/spellchk.so
%_libdir/pidgin/ticker.so
%_libdir/pidgin/timestamp.so
%_libdir/pidgin/timestamp_format.so
%_libdir/pidgin/xmppconsole.so
%_libdir/purple-2/autoaccept.so
%_libdir/purple-2/buddynote.so
%_libdir/purple-2/idle.so
%_libdir/purple-2/joinpart.so
%_libdir/purple-2/libaim.so
%_libdir/purple-2/libgg.so
%_libdir/purple-2/libicq.so
%_libdir/purple-2/libirc.so
%_libdir/purple-2/libjabber.so
%_libdir/purple-2/libjabber.so.0
%_libdir/purple-2/libjabber.so.0.0.0
%_libdir/purple-2/libmsn.so
%_libdir/purple-2/libnovell.so
%_libdir/purple-2/liboscar.so
%_libdir/purple-2/liboscar.so.0
%_libdir/purple-2/liboscar.so.0.0.0
%_libdir/purple-2/libqq.so
%_libdir/purple-2/libsimple.so
%_libdir/purple-2/libxmpp.so
%_libdir/purple-2/libyahoo.so
%_libdir/purple-2/libzephyr.so
%_libdir/purple-2/log_reader.so
%_libdir/purple-2/newline.so
%_libdir/purple-2/offlinemsg.so
%_libdir/purple-2/psychic.so
%_libdir/purple-2/ssl-gnutls.so
%_libdir/purple-2/ssl-nss.so
%_libdir/purple-2/ssl.so
%_libdir/purple-2/statenotify.so


%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libgnt.so
%{_libdir}/libpurple-client.so
%{_libdir}/lib*.la

%files -n %libname 
%defattr(-,root,root)
%_libdir/libpurple.so.%{major}*

%files -n %{console_app}
%defattr(-, root, root)
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%_libdir/finch/

%files -n %lib_console_app
%defattr(-, root, root)
%{_libdir}/libgnt.so.%{major}*


%files bonjour
%defattr(-,root,root)
%{_libdir}/purple-2/libbonjour.so

%files perl
%defattr(-,root,root)
%doc doc/PERL-HOWTO.dox
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/Pidgin/*
%{perl_vendorarch}/auto/Purple/*
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*

%files tcl
%defattr(-,root,root)
%doc COPYING
%{_libdir}/purple-2/tcl.so

%if %build_silc
%files silc
%defattr(-,root,root)
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %build_evolution
%files gevolution
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/gevolution.so
%endif

%if %build_meanwhile
%files meanwhile
%defattr(-,root,root)
%{_libdir}/purple-2/libsametime.so
%endif

%files client
%defattr(-,root,root)
%doc COPYRIGHT
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so

%if %build_mono
%files mono
%defattr(-,root,root)
%doc COPYING
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%clean
rm -rf %{buildroot}


%changelog
* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 22394
- new upstream version 2.0.0

  + Götz Waschk <waschk@mandriva.org>
    - sync with fedora: drop patches 102,103

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta7.1mdv2008.0
+ Revision: 20573
- fix spec an file list
- drop epoch tag
- drop source 2 (QQ smiley theme)
- drop merged patch 1
- update patch 0
- rediff patch 103

  + Funda Wang <fundawang@mandriva.org>
    - evolution plugin should be in pidgin area.
    - split finch into individual package.
    - merge libgaim0 into pidgin main package.
    - make it more clear to distinguish library and app,
      by naming pidgin and purple.
    - try gaim->pidgin convertion.
    - new upstream version beta7
    - gaim now names pidgin
    - gaim now names pidgin


* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-2.beta6.2mdv2007.0
+ Revision: 115818
- fix mono example plugins and reenable mono support
- fix deps between the subpackages, as long as it is a prerelease

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta6.1mdv2007.1
+ Revision: 110627
- new version
- disable mono, it currently does not build
- drop patches 104, 105, 106, 107, 108, 110, 112, 150, 152, 153
- add new plugins

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.6mdv2007.1
+ Revision: 107128
- port a few bug fixes from Fedora

* Fri Dec 01 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-2.beta5.5mdv2007.1
+ Revision: 89504
- Drop the threads patch, it is now initialized correctly, and initializing it twice now aborts

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.4mdv2007.1
+ Revision: 88289
- bot rebuild
- fix buildrequires
- rebuild

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.1mdv2007.0
+ Revision: 81050
- new version
- readd source signature
- update file list

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.2mdv2007.1
+ Revision: 71560
- readd dbus thread fix

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.1mdv2007.1
+ Revision: 71292
- Import gaim

* Fri Oct 20 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2.beta4.1mdv2007.1
- fix buildrequires
- drop patch 1
- unpack patch
- new version

* Wed Aug 23 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-2.beta3.1.1mdv2007.0
- Beta 3.1...

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.12mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-1.beta3.11mdv2007.0
- Initialize threads as gnomevfs now uses dbus (P1)

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.0.0-1.beta3.9mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.8mdv2007.0
- rebuild for new e-d-s

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:2.0.0-0.beta3.7mdv2007.0
- XDG menu

* Tue May 02 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.6mdk
- rebuild

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.5mdk
- build the mono package

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.4mdk
- add mono package

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.3mdk
- rebuild for new e-d-s

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.2mdk
- fix buildrequires

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.1mdk
- drop patch 1
- new version

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.3mdk
- patch for new libortp, but disable vv

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.2mdk
- rebuild for new dbus

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.1mdk
- update patch 0
- fix buildrequires
- new version

* Mon Jan 02 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.5mdk
- fix dbus-example.so belonging to 2 subpackages

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.beta1.4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Dec 24 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.3mdk
- fix missing %%
- don't build dbus and meanwhile on <= 2006.0
- BuildRequires doxygen for documentation (thanx misc for the reports)

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.2mdk
- Change libgaimremote to libgaim-client
- Buildconflicts with stuff we can't disable in configure

* Sun Dec 18 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.1mdk
- 2.0.0 beta 1
- Drop patch1
- Drop patch2 (nas support no longer exists)
- Add Bonjour subpackage
- meanwhile is now included

* Sun Oct 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-5mdk
- Rebuild for new evolution-data-server

* Fri Sep 02 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.0-4mdk
- add BuildRequires: gettext-devel

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.0-3mdk
- fix build with nas support

* Sat Aug 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.0-2mdk
- use %%mkrel

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-1mdk
- 1.5.0

* Sat Jul 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.4.0-1mdk
- 1.4.0

* Tue Jul 05 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-3mdk
- Don't duplicate libsilcgaim.so in main package and -silc

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 1:1.3.1-2mdk
- rebuilt without krb4 support

* Sun Jun 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-1mdk
- 1.3.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat May 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-2mdk
- Rebuild for new libperl.so

* Thu May 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.0-1mdk
- 1.3.0 (fix CAN-2005-1261 and CAN-2005-1262)

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-4mdk
- Rebuild for new silc

* Sat Apr 23 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-3mdk
- Fix for gcc4

* Fri Apr 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-2mdk
- Rebuild for new evolution-data-server

* Sat Apr 16 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.2.1-1mdk
- New release 1.2.1

* Mon Mar 21 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.1.4-3mdk
- Get a release number greater than the one from updates
- Requires on release

* Tue Mar 01 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-2mdk
- Fix rebuilding on <= 10.0

* Sun Feb 27 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-1mdk
- New release 1.1.4

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 1.1.3-2mdk
- Append QQ theme to default theme

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.3-1mdk
- New release 1.1.3

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-2mdk
- Rebuild

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Dec 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.1-1mdk
- 1.1.1

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Mon Nov 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.3-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Pascal Terjan <pterjan@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Wed Oct 27 2004 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Adds SILC support
- Use UTF-8 for spec file
- Remove patch1; festival plugin splitted from gaim, to simplify build
- Re-enable kerberos for zephyr
- Corrected devel package requirement
- Reorganize docs

* Thu Oct 21 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.2-1mdk
- New release 1.0.2

* Tue Sep 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.82.1-2mdk
- add BuildRequires: libnss-devel libnspr-devel (for MSN support)

* Mon Aug 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.82.1-1mdk
- 0.82.1

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.82-1mdk
- 0.82

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-3mdk
- security fix

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.81-2mdk
- Rebuild with new menu

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-1mdk
- 0.81

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.80-1mdk
- 0.80
- updated patch0

* Sun Jul 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-4mdk
- rebuild for new evolution data server

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-3mdk
- fix buildrequires

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-2mdk
- put .h for gaim in gaim-devel, not libgaimremote-devel

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-1mdk
- 0.79
- move gaim-encryption to a separate package
- add a -devel package
- gaim-festival 0.78

* Fri Jun 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-4mdk
- Rebuild for evolution-data-server

* Fri Jun 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-3mdk
- Allow rebuilding on stable version

* Tue Jun 01 2004 Abel Cheung <deaddog@deaddog.org> 0.78-2mdk
- More epoch fixes
- Enable and split tcl plugin
- Drop source100, use ImageMagick to convert icons
- Don't remove locale, en_CA is valid!
- Update festival plugin

* Tue Jun 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-1mdk
- gaim-encryption 2.26
- stop removing libtoolize
- fix invalid-lc-messages-dir (en_CA)
- 0.78

* Sat May 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-2mdk
- gaim-encryption 2.25 to fix plugin loading due to API mismatch
- gaim festival 0.77 (Does not fix API mismatch :( )

* Sat Apr 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-1mdk
- 0.77
- move gevolution plugin into a separate package

* Sun Apr 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.76-1mdk 
- 0.76
- drop Patch2

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires

